Kerbal Space Program - Bug #4282

Craft type filters cannot be toggled during flight
03/16/2015 08:08 PM - Neutrality

Status: Closed Start date: 03/16/2015
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

While looking at the solar system map during a flight, clicking the different craft type icons at the top not toggle the display of those
crafts. The toggle works fine from the space center.

Related issues:

Has duplicate Kerbal Space Program - Bug #5068: Hidden navball in map mode pr... Duplicate 05/27/2015
Has duplicate Kerbal Space Program - Bug #7054: Vehicle type filter buttons i... Closed 02/20/2016
Is duplicate of Kerbal Space Program - Bug #3322: Craftfilter locked in Mapvi... Closed 10/08/2014
History

#1 - 05/05/2015 11:11 AM - Sonny_Jim

This is a known bug, for some reason having the navball hidden means you can't click on the filter icons. It's still present in v1.0

#2 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 11/21/2015 11:13 PM - Thrawcheld

Same issue as #5068.

#4 - 11/22/2015 09:54 AM - Squelch
- Has duplicate Bug #5068: Hidden navball in map mode prevens map mode filter widget 1.0.2 added

#5 - 11/23/2015 03:44 PM - Squelch
- Status changed from New to Confirmed

- % Done changed from 0 to 10

The filter, and some other controls are not active while the navball is hidden. For example throttle control does not work while the navball is "closed"

Context switching (switching away for the KSP window to another) also seems to toggle the filter availability.

#6 - 02/22/2016 11:57 AM - Squelch

- Has duplicate Bug #7054: Vehicle type filter buttons in Map view sometimes work, sometined don't added

#7 - 02/22/2016 11:59 AM - Squelch
- Is duplicate of Bug #3322: Craftfilter locked in Mapview on context switch added

#8 - 07/17/2016 09:40 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#9 - 08/09/2016 11:11 AM - TriggerAu
https://bugs.kerbalspaceprogram.com/issues/5068

- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
